## akonadi-contacts 22.12.3

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "5.22.3")

project(Akonadi-Contact VERSION ${PIM_VERSION})

# ECM setup

set(KF5_MIN_VERSION "5.99.0")

find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)

include(ECMSetupVersion)
include(FeatureSummary)
include(KDEGitCommitHooks)
include(KDEClangFormat)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

include(ECMInstallIcons)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMAddQch)


option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")


set(AKONADI_CONTACTS_VERSION ${PIM_VERSION})
set(KMIMELIB_VERSION "5.22.3")
set(AKONADI_VERSION "5.22.3")
set(GRANTLEETHEME_LIB_VERSION "5.22.3")
set(GRANTLEE_LIB_VERSION "5.2")

set(QT_REQUIRED_VERSION "5.15.2")
if (QT_MAJOR_VERSION STREQUAL "6")
    set(QT_REQUIRED_VERSION "6.4.0")
endif()
find_package(Qt${QT_MAJOR_VERSION} ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets Test)
########### Find packages ###########
find_package(KF5KIO ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5I18n ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5CoreAddons ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Completion ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Config ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5IconThemes ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Service ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5TextWidgets ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5WidgetsAddons ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5XmlGui ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Prison ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5KCMUtils ${KF5_MIN_VERSION} CONFIG REQUIRED)

find_package(KF5Contacts ${KF5_MIN_VERSION} CONFIG REQUIRED)

find_package(KF5Mime ${KMIMELIB_VERSION} CONFIG REQUIRED)
find_package(KF5Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)

find_package(KF5GrantleeTheme ${GRANTLEETHEME_LIB_VERSION} CONFIG REQUIRED)

if (QT_MAJOR_VERSION STREQUAL "5")
    find_package(Grantlee5 ${GRANTLEE_VERSION} CONFIG REQUIRED)
    set(MAIN_LIB Grantlee5::Templates)
else()
    find_package(KF6TextTemplate CONFIG REQUIRED)
    set(MAIN_LIB KF6TextTemplate::Templates)
endif()

############### Compilers flags ###############

if (MSVC)
    # This sets the __cplusplus macro to a real value based on the version of C++ specified by
    # the /std switch. Without it MSVC keeps reporting C++98, so feature detection doesn't work.
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /Zc:__cplusplus")
endif()

########### Targets ###########


ecm_set_disabled_deprecation_versions(QT 5.14.0 KF 5.99.0)


if(BUILD_TESTING)
   add_definitions(-DBUILD_TESTING)
endif()
option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if (USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()

add_subdirectory(src)
add_subdirectory(kcm)
add_subdirectory(serializers)

ecm_qt_install_logging_categories(
        EXPORT AKONADICONTACTS
        FILE akonadi-contacts.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
        )


kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
ki18n_install(po)
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== serializers/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
add_definitions(-DTRANSLATION_DOMAIN=\"akonadicontact5-serializer\")

if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()

add_library(akonadi_serializer_addressee MODULE)
target_sources(akonadi_serializer_addressee PRIVATE
    akonadi_serializer_addressee.cpp
    akonadi_serializer_addressee.h
)


ecm_qt_declare_logging_category(akonadi_serializer_addressee HEADER serializer_debug.h IDENTIFIER AKONADI_SERIALIZER_CONTACT_LOG CATEGORY_NAME org.kde.pim.contact_serializer
        DESCRIPTION "serializer contact (plugin)"
        EXPORT AKONADICONTACTS
    )


target_link_libraries(akonadi_serializer_addressee
    KF5::Contacts
    KF5::AkonadiCore
    KF5::I18n
)
install(TARGETS akonadi_serializer_addressee
    DESTINATION ${KDE_INSTALL_PLUGINDIR}
)
install(FILES akonadi_serializer_addressee.desktop
    DESTINATION ${KDE_INSTALL_DATADIR}/akonadi/plugins/serializer
)

##################################

add_library(akonadi_serializer_contactgroup MODULE)
target_sources(akonadi_serializer_contactgroup PRIVATE
    akonadi_serializer_contactgroup.cpp
    akonadi_serializer_contactgroup.h
)
target_link_libraries(akonadi_serializer_contactgroup
    KF5::Contacts
    KF5::AkonadiCore
    KF5::I18n
    KF5::AkonadiContact
)
install(TARGETS akonadi_serializer_contactgroup
    DESTINATION ${KDE_INSTALL_PLUGINDIR}
)
install(FILES akonadi_serializer_contactgroup.desktop
    DESTINATION ${KDE_INSTALL_DATADIR}/akonadi/plugins/serializer
)

=== serializers/autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
include(ECMAddTests)

ecm_qt_declare_logging_category(akonadi_serializer_autotest_addressee_SRCS HEADER serializer_debug.h IDENTIFIER AKONADI_SERIALIZER_CONTACT_LOG CATEGORY_NAME org.kde.pim.contact_serializer)

ecm_add_test(addresseeserializertest.cpp ../akonadi_serializer_addressee.cpp ${akonadi_serializer_autotest_addressee_SRCS}
    LINK_LIBRARIES KF5::AkonadiCore KF5::AkonadiContact KF5::Contacts KF5::I18n Qt::Core Qt::Test
    TEST_NAME addresseeserializertest
)

=== src/akonadi-contacts/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5AkonadiContact")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5AkonadiContact_QCH
        FILE KF5AkonadiContactQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5AkonadiContactQchTargets.cmake\")")
endif()

add_library(KF5AkonadiContact)
add_library(KF5::AkonadiContact ALIAS KF5AkonadiContact)



ecm_setup_version(PROJECT VARIABLE_PREFIX AKONADICONTACT
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/akonadi-contact_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5AkonadiContactConfigVersion.cmake"
    SOVERSION 5
    )
configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KF5AkonadiContactConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5AkonadiContactConfig.cmake"
    INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
    )
install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KF5AkonadiContactConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5AkonadiContactConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
    )

install(EXPORT KF5AkonadiContactTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5AkonadiContactTargets.cmake NAMESPACE KF5::)

########### next target ###############

target_sources(KF5AkonadiContact PRIVATE
    actions/dialphonenumberaction.cpp
    actions/qdialer.cpp
    actions/qskypedialer.cpp
    actions/sendsmsaction.cpp
    actions/smsdialog.cpp
    actions/qsflphonedialer.cpp
    actions/qekigadialer.cpp
    )

configure_file( actions/contactactionssettings.kcfg.cmake ${CMAKE_CURRENT_BINARY_DIR}/contactactionssettings.kcfg @ONLY)
kconfig_add_kcfg_files(KF5AkonadiContact actions/contactactionssettings.kcfgc)


target_sources(KF5AkonadiContact PRIVATE
    attributes/contactmetadataattribute.cpp
    attributes/attributeregistrar.cpp
)

target_sources(KF5AkonadiContact PRIVATE
    job/contactgroupexpandjob.cpp
    job/contactgroupsearchjob.cpp
    job/contactsearchjob.cpp
    job/addcontactjob.cpp
    job/addemailaddressjob.cpp
    job/addemaildisplayjob.cpp
    job/openemailaddressjob.cpp
)

target_sources(KF5AkonadiContact PRIVATE
    recipientspicker/recipientseditormanager.cpp
    recipientspicker/recipientspickerwidget.cpp
    )

target_sources(KF5AkonadiContact PRIVATE
    grantlee/contactgrantleewrapper.cpp
    grantlee/grantleecontactformatter.cpp
    grantlee/grantleecontactgroupformatter.cpp
    grantlee/grantleeprint.cpp
    grantlee/grantleecontactviewer.cpp
    )


target_sources(KF5AkonadiContact PRIVATE
    abstractcontactformatter.cpp
    abstractcontactgroupformatter.cpp
    collectionfiltermodel.cpp
    contactcompletionmodel.cpp
    contactdefaultactions.cpp
    contacteditor.cpp
    contacteditordialog.cpp
    contactgroupeditor.cpp
    contactgroupeditordelegate.cpp
    contactgroupeditordialog.cpp
    contactgroupmodel.cpp
    contactgroupviewer.cpp
    contactmetadataakonadi.cpp
    contactparts.cpp
    contactsfilterproxymodel.cpp
    contactstreemodel.cpp
    contactviewer.cpp
    contactviewerdialog.cpp
    emailaddressselection.cpp
    emailaddressselectiondialog.cpp
    abstractemailaddressselectiondialog.cpp
    emailaddressselectionproxymodel.cpp
    emailaddressselectionwidget.cpp
    emailaddressrequester.cpp
    emailaddressselectionmodel.cpp
    textbrowser.cpp
    leafextensionproxymodel.cpp
    standardcontactactionmanager.cpp
    standardcontactformatter.cpp
    standardcontactgroupformatter.cpp
    waitingoverlay.cpp
    selectaddressbookdialog.cpp
    emailaddressselectionproxymodel_p.h
    job/contactgroupsearchjob.h
    job/openemailaddressjob.h
    job/contactsearchjob.h
    job/addemailaddressjob.h
    job/addemaildisplayjob.h
    job/addcontactjob.h
    job/contactgroupexpandjob.h
    contactdefaultactions.h
    contactviewer.h
    contacteditor.h
    contactgroupmodel_p.h
    abstractemailaddressselectiondialog.h
    emailaddressselectiondialog.h
    actions/qsflphonedialer.h
    actions/qekigadialer.h
    actions/dialphonenumberaction.h
    actions/qskypedialer.h
    actions/smsdialog.h
    actions/sendsmsaction.h
    actions/qdialer.h
    abstractcontactgroupformatter.h
    contactstreemodel.h
    emailaddressselectionmodel.h
    grantlee/grantleecontactgroupformatter.h
    grantlee/grantleeprint.h
    grantlee/grantleecontactviewer.h
    grantlee/contactgrantleewrapper.h
    grantlee/grantleecontactformatter.h
    standardcontactactionmanager.h
    emailaddressselection.h
    contactgroupeditordelegate_p.h
    textbrowser_p.h
    recipientspicker/recipientseditormanager.h
    recipientspicker/recipientspickerwidget.h
    akonadicontact_private_export.h
    contacteditordialog.h
    emailaddressselection_p.h
    contactgroupviewer.h
    collectionfiltermodel_p.h
    abstractcontactformatter.h
    contactsfilterproxymodel.h
    standardcontactgroupformatter.h
    standardcontactformatter.h
    contactgroupeditordialog.h
    contactgroupeditor_p.h
    contactcompletionmodel_p.h
    waitingoverlay_p.h
    leafextensionproxymodel_p.h
    emailaddressselectionwidget.h
    selectaddressbookdialog.h
    contactparts.h
    contactmetadataakonadi_p.h
    emailaddressrequester.h
    contactgroupeditor.h
    attributes/contactmetadataattribute_p.h
    contactviewerdialog.h
    )


ecm_qt_declare_logging_category(KF5AkonadiContact HEADER akonadi_contact_debug.h IDENTIFIER AKONADICONTACT_LOG CATEGORY_NAME org.kde.pim.akonadicontact
        DESCRIPTION "akonadicontact (pim lib)"
        OLD_CATEGORY_NAMES log_akonadi_contact
        EXPORT AKONADICONTACTS
    )

ki18n_wrap_ui(KF5AkonadiContact contactgroupeditor.ui)

if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_source_files_properties(
        grantlee/contactgrantleewrapper.cpp
        grantlee/grantleecontactformatter.cpp
        grantlee/grantleecontactgroupformatter.cpp
        grantlee/grantleeprint.cpp
        grantlee/grantleecontactviewer.cpp PROPERTIES SKIP_UNITY_BUILD_INCLUSION ON)
    set_target_properties(KF5AkonadiContact PROPERTIES UNITY_BUILD ON)
endif()
generate_export_header(KF5AkonadiContact BASE_NAME akonadi-contact)


target_include_directories(KF5AkonadiContact INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/AkonadiContact>")
target_include_directories(KF5AkonadiContact PUBLIC "$<BUILD_INTERFACE:${Akonadi-Contact_SOURCE_DIR}/src;${Akonadi-Contact_BINARY_DIR}/src>")

target_link_libraries(KF5AkonadiContact
    PUBLIC
    KF5::AkonadiCore
    KF5::Contacts
    KF5::AkonadiWidgets
    Qt::Widgets
    KF5::GrantleeTheme
    PRIVATE
    KF5::ConfigCore
    KF5::ConfigWidgets
    KF5::IconThemes
    KF5::Completion
    KF5::KIOCore
    KF5::JobWidgets
    KF5::KIOGui
    KF5::Mime
    KF5::I18n
    KF5::TextWidgets
    KF5::XmlGui
    KF5::ContactEditor
    KF5::Prison
    ${MAIN_LIB}
    )
if(TARGET KF5::I18nLocaleData)
    target_link_libraries(KF5AkonadiContact PRIVATE KF5::I18nLocaleData)
endif()

set_target_properties(KF5AkonadiContact PROPERTIES
    VERSION ${AKONADICONTACT_VERSION}
    SOVERSION ${AKONADICONTACT_SOVERSION}
    EXPORT_NAME AkonadiContact
    )

install(TARGETS
    KF5AkonadiContact
    EXPORT KF5AkonadiContactTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS}
    )

ecm_generate_pri_file(BASE_NAME AkonadiContact
    LIB_NAME KF5AkonadiContact
    DEPS "AkonadiCore KContacts" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF}/Akonadi/Contact
    )

install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

ecm_generate_headers(AkonadiContactJob_CamelCase_HEADERS
    HEADER_NAMES
    ContactGroupExpandJob
    ContactGroupSearchJob
    ContactSearchJob
    AddEmailAddressJob
    AddEmailDisplayJob
    OpenEmailAddressJob
    AddContactJob
    REQUIRED_HEADERS AkonadiContactJob_HEADERS
    PREFIX Akonadi
    RELATIVE job
    )

ecm_generate_headers(AkonadiContactRecipients_CamelCase_HEADERS
    HEADER_NAMES
    RecipientsEditorManager
    RecipientsPickerWidget
    REQUIRED_HEADERS AkonadiContactRecipients_HEADERS
    PREFIX Akonadi
    RELATIVE recipientspicker
    )


ecm_generate_headers(AkonadiContact_CamelCase_HEADERS
    HEADER_NAMES
    AbstractContactFormatter
    AbstractContactGroupFormatter
    ContactDefaultActions
    ContactEditor
    ContactEditorDialog
    ContactGroupEditor
    ContactGroupEditorDialog
    ContactGroupViewer
    ContactsFilterProxyModel
    ContactsTreeModel
    ContactParts
    ContactViewer
    ContactViewerDialog
    EmailAddressSelection
    EmailAddressSelectionDialog
    EmailAddressSelectionWidget
    EmailAddressSelectionModel
    EmailAddressRequester
    AbstractEmailAddressSelectionDialog
    StandardContactActionManager
    StandardContactFormatter
    StandardContactGroupFormatter
    SelectAddressBookDialog

    REQUIRED_HEADERS AkonadiContact_HEADERS
    PREFIX Akonadi
    )

ecm_generate_headers(AkonadiContactGrantlee_CamelCase_HEADERS
    HEADER_NAMES
    ContactGrantleeWrapper
    GrantleeContactFormatter
    GrantleeContactGroupFormatter
    GrantleePrint
    GrantleeContactViewer

    REQUIRED_HEADERS AkonadiContactGrantlee_HEADERS
    RELATIVE grantlee
    PREFIX Akonadi
)

install( FILES
    ${AkonadiContact_CamelCase_HEADERS}
    ${AkonadiContactJob_CamelCase_HEADERS}
    ${AkonadiContactRecipients_CamelCase_HEADERS}
    ${AkonadiContactGrantlee_CamelCase_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/AkonadiContact/Akonadi COMPONENT Devel
    )

install( FILES
    ${AkonadiContact_HEADERS}
    ${AkonadiContactJob_HEADERS}
    ${AkonadiContactRecipients_HEADERS}
    ${AkonadiContactGrantlee_HEADERS}
    ${CMAKE_CURRENT_BINARY_DIR}/akonadi-contact_export.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/AkonadiContact/akonadi COMPONENT Devel
    )


if (BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

add_subdirectory(plugins)

if (BUILD_QCH)
    ecm_add_qch(
        KF5AkonadiContact_QCH
        NAME KF5AkonadiContact
        BASE_NAME KF5AkonadiContact
        VERSION ${PIM_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
        ${AkonadiContact_HEADERS}
        ${AkonadiContactJob_HEADERS}
        ${AkonadiContactRecipients_HEADERS}
        ${AkonadiContactGrantlee_HEADERS}
        #MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        #IMAGE_DIRS "${CMAKE_SOURCE_DIR}/docs/pics"
        LINK_QCHS
            Qt5Core_QCH
            Qt5Gui_QCH
            Qt5Widgets_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            KSIEVEUI_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/akonadi-contact_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/AkonadiContact COMPONENT Devel
)

=== src/contact-editor/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5ContactEditor")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5ContactEditor_QCH
        FILE KF5ContactEditorQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5ContactEditorQchTargets.cmake\")")
endif()

add_library(KF5ContactEditor)
add_library(KF5::ContactEditor ALIAS KF5ContactEditor)

ecm_setup_version(PROJECT VARIABLE_PREFIX AKONADICONTACT
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/akonadi-contact-editor_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5ContactEditorConfigVersion.cmake"
    SOVERSION 5
    )
configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KF5ContactEditorConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5ContactEditorConfig.cmake"
    INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
    )
install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KF5ContactEditorConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5ContactEditorConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
    )

install(EXPORT KF5ContactEditorTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5ContactEditorTargets.cmake NAMESPACE KF5::)

target_sources(KF5ContactEditor PRIVATE
    editor/customfieldeditor/customfieldswidget.cpp
    editor/customfieldeditor/customfieldeditorwidget.cpp
    editor/customfieldeditor/customfieldslistwidget.cpp
    editor/customfieldeditor/customfieldslistdelegate.cpp
    editor/customfieldeditor/customfieldsmodel.cpp
    editor/utils/utils.cpp
    editor/widgets/kwidgetlister.cpp
    editor/widgets/contacteditorcombobox.cpp
    editor/generalinfoeditor/phone/phonewidgetlister.cpp
    editor/generalinfoeditor/phone/phonewidget.cpp
    editor/generalinfoeditor/phone/phonelistwidget.cpp
    editor/generalinfoeditor/phone/phonecomboboxtype.cpp
    editor/generalinfoeditor/phone/phonetypedialog.cpp
    editor/generalinfoeditor/web/webwidgetlister.cpp
    editor/generalinfoeditor/web/weblistwidget.cpp
    editor/generalinfoeditor/web/webwidget.cpp
    editor/generalinfoeditor/web/webselecttypecombobox.cpp
    editor/generalinfoeditor/mail/maillistwidget.cpp
    editor/generalinfoeditor/mail/mailwidget.cpp
    editor/generalinfoeditor/mail/mailwidgetlister.cpp
    editor/generalinfoeditor/mail/mailtypecombobox.cpp
    editor/generalinfoeditor/messaging/messaginglistwidget.cpp
    editor/generalinfoeditor/messaging/messagingwidget.cpp
    editor/generalinfoeditor/messaging/messagingwidgetlister.cpp
    editor/generalinfoeditor/generalinfowidget.cpp
    editor/generalinfoeditor/namewidget.cpp
    editor/generalinfoeditor/nicknamewidget.cpp
    editor/generalinfoeditor/categorieseditwidget.cpp
    editor/generalinfoeditor/nameeditdialog.cpp
    editor/generalinfoeditor/displaynameeditwidget.cpp
    editor/generalinfoeditor/messageformattingwidget.cpp
    editor/generalinfoeditor/blogfeedwidget.cpp
    editor/addresseditor/addressdelegate.cpp
    editor/addresseditor/addressmodel.cpp
    editor/addresseditor/addresseslocationwidget.cpp
    editor/addresseditor/addresslocationwidget.cpp
    editor/addresseditor/addresstypedialog.cpp
    editor/addresseditor/selectaddresstypecombobox.cpp
    editor/personaleditor/personaleditorwidget.cpp
    editor/personaleditor/dateeditwidget.cpp
    editor/businesseditor/businesseditorwidget.cpp
    editor/businesseditor/freebusyeditwidget.cpp
    editor/contacteditorwidget.cpp
    editor/widgets/imagewidget.cpp
    editor/widgets/preferredlineeditwidget.cpp
    editor/widgets/categorieseditabstractwidget.cpp
    customfields.cpp
    customfieldmanager.cpp
    contactmetadatabase.cpp
    editor/addresseditor/addresslocationwidget.h
    editor/addresseditor/selectaddresstypecombobox.h
    editor/addresseditor/addresseslocationwidget.h
    editor/addresseditor/addressdelegate.h
    editor/addresseditor/addressmodel.h
    editor/addresseditor/addresstypedialog.h
    editor/utils/utils.h
    editor/generalinfoeditor/web/webwidgetlister.h
    editor/generalinfoeditor/web/weblistwidget.h
    editor/generalinfoeditor/web/webwidget.h
    editor/generalinfoeditor/web/webselecttypecombobox.h
    editor/generalinfoeditor/messageformattingwidget.h
    editor/generalinfoeditor/phone/phonelistwidget.h
    editor/generalinfoeditor/phone/phonetypedialog.h
    editor/generalinfoeditor/phone/phonewidget.h
    editor/generalinfoeditor/phone/phonewidgetlister.h
    editor/generalinfoeditor/phone/phonecomboboxtype.h
    editor/generalinfoeditor/messaging/messaginglistwidget.h
    editor/generalinfoeditor/messaging/messagingwidgetlister.h
    editor/generalinfoeditor/messaging/messagingwidget.h
    editor/generalinfoeditor/nicknamewidget.h
    editor/generalinfoeditor/mail/maillistwidget.h
    editor/generalinfoeditor/mail/mailwidget.h
    editor/generalinfoeditor/mail/mailtypecombobox.h
    editor/generalinfoeditor/mail/mailwidgetlister.h
    editor/generalinfoeditor/blogfeedwidget.h
    editor/generalinfoeditor/displaynameeditwidget.h
    editor/generalinfoeditor/namewidget.h
    editor/generalinfoeditor/categorieseditwidget.h
    editor/generalinfoeditor/nameeditdialog.h
    editor/generalinfoeditor/generalinfowidget.h
    editor/contacteditorwidget.h
    editor/customfieldeditor/customfieldsmodel.h
    editor/customfieldeditor/customfieldslistdelegate.h
    editor/customfieldeditor/customfieldswidget.h
    editor/customfieldeditor/customfieldslistwidget.h
    editor/customfieldeditor/customfieldeditorwidget.h
    editor/personaleditor/dateeditwidget.h
    editor/personaleditor/personaleditorwidget.h
    editor/widgets/categorieseditabstractwidget.h
    editor/widgets/imagewidget.h
    editor/widgets/kwidgetlister_p.h
    editor/widgets/preferredlineeditwidget.h
    editor/widgets/contacteditorcombobox.h
    editor/businesseditor/freebusyeditwidget.h
    editor/businesseditor/businesseditorwidget.h
    contacteditor_private_export.h
    contacteditorpageplugin.h
    abstractcontacteditorwidget_p.h
    customfieldmanager_p.h
    contactmetadatabase_p.h
    customfields_p.h

)

ecm_qt_declare_logging_category(KF5ContactEditor HEADER contacteditor_debug.h IDENTIFIER CONTACTEDITOR_LOG CATEGORY_NAME org.kde.pim.contacteditor
        DESCRIPTION "akonadicontact (contact editor)"
        EXPORT AKONADICONTACTS
    )

if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(KF5ContactEditor PROPERTIES UNITY_BUILD ON)
endif()

generate_export_header(KF5ContactEditor BASE_NAME contacteditor)


target_include_directories(KF5ContactEditor INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/AkonadiContactEditor>")
target_include_directories(KF5ContactEditor PUBLIC "$<BUILD_INTERFACE:${Akonadi-Contact_SOURCE_DIR}/src/contact-editor;${Akonadi-Contact_BINARY_DIR}/src/contact-editor>")

target_link_libraries(KF5ContactEditor
    PUBLIC
    KF5::Contacts
    Qt::Widgets
    PRIVATE
    KF5::Completion
    KF5::ConfigCore
    KF5::ConfigWidgets
    KF5::KIOWidgets
    KF5::I18n
    KF5::TextWidgets
    KF5::WidgetsAddons
    )

set_target_properties(KF5ContactEditor PROPERTIES
    VERSION ${AKONADICONTACT_VERSION}
    SOVERSION ${AKONADICONTACT_SOVERSION}
    EXPORT_NAME ContactEditor
    )

install(TARGETS
    KF5ContactEditor
    EXPORT KF5ContactEditorTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS}
    )

ecm_generate_pri_file(BASE_NAME ContactEditor
    LIB_NAME KF5ContactEditor
    DEPS "KContacts" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF}/ContactEditor
    )

install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

ecm_generate_headers(ContactEditor_CamelCase_HEADERS
    HEADER_NAMES
    ContactEditorPagePlugin
    REQUIRED_HEADERS ContactEditor_HEADERS
    PREFIX Akonadi
    )

ecm_generate_headers(ContactEditorWidget_CamelCase_HEADERS
    HEADER_NAMES
    CategoriesEditAbstractWidget
    REQUIRED_HEADERS ContactEditorWidget_HEADERS
    PREFIX Akonadi
    RELATIVE editor/widgets/
    )

install( FILES
    ${ContactEditor_CamelCase_HEADERS}
    ${ContactEditorWidget_CamelCase_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/AkonadiContactEditor/Akonadi COMPONENT Devel
    )

install( FILES
    ${ContactEditor_HEADERS}
    ${ContactEditorWidget_HEADERS}
    ${CMAKE_CURRENT_BINARY_DIR}/contacteditor_export.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/AkonadiContactEditor/akonadi COMPONENT Devel
    )



if (BUILD_TESTING)
    add_subdirectory(editor/addresseditor/autotests/)
    add_subdirectory(editor/generalinfoeditor/autotests/)
    add_subdirectory(editor/generalinfoeditor/tests)
    add_subdirectory(editor/customfieldeditor/autotests/)
    add_subdirectory(editor/customfieldeditor/tests)
    add_subdirectory(editor/widgets/autotests/)
endif()

install(FILES editor/pics/world.jpg DESTINATION ${KDE_INSTALL_DATADIR_KF}/akonadi/contact/pics)
install(FILES editor/data/zone.tab DESTINATION ${KDE_INSTALL_DATADIR_KF}/akonadi/contact/data)

if (BUILD_QCH)
    ecm_add_qch(
        KF5ContactEditor_QCH
        NAME KF5ContactEditor
        BASE_NAME KF5ContactEditor
        VERSION ${PIM_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
        ${ContactEditor_HEADERS}
        ${ContactEditorWidget_HEADERS}
        #MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        #IMAGE_DIRS "${CMAKE_SOURCE_DIR}/docs/pics"
        LINK_QCHS
            Qt5Core_QCH
            Qt5Gui_QCH
            Qt5Widgets_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            KSIEVEUI_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/akonadi-contact-editor_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/AkonadiContactEditor COMPONENT Devel
)

=== src/akonadi-contacts/autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
include(ECMMarkAsTest)
include(ECMAddTests)

# convenience macro to add akonadi demo application
macro(add_akonadi_contact_demo _source)
  set(_test ${_source})
  get_filename_component( _name ${_source} NAME_WE )
  add_executable( ${_name} ${_test} ${_name}.h)
  add_test(NAME ${_name} COMMAND ${_name} )
  target_link_libraries(${_name}
     KF5::AkonadiContact
     Qt::Test)
  ecm_mark_as_test(${_name})
endmacro()

########### next target ###############

add_akonadi_contact_demo(contactmetadataattributetest.cpp)

ecm_add_test(grantleeprinttest.cpp
    LINK_LIBRARIES KF5::AkonadiContact Qt::Test KF5::Contacts
)

=== src/akonadi-contacts/tests/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
include(ECMMarkAsTest)

# convenience macro to add akonadi demo application
macro(add_akonadi_contact_demo _source)
  set(_test ${_source})
  get_filename_component( _name ${_source} NAME_WE )
  add_executable( ${_name} ${_test})
  target_link_libraries(${_name}
     KF5::AkonadiContact
     KF5::Completion
     KF5::I18n
     KF5::WidgetsAddons
     Qt::Test)
  ecm_mark_as_test(${_name})
endmacro()

########### next target ###############

add_akonadi_contact_demo(emailaddressselectionwidgettest.cpp)
add_akonadi_contact_demo(emailaddressselectiondialogtest.cpp)
add_akonadi_contact_demo(emailaddressselectionmodeltest.cpp)

=== src/contact-editor/editor/addresseditor/autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
include(ECMMarkAsTest)

#ecm_qt_declare_logging_category(contacteditor_addresslocation_web_editor_SRCS HEADER addresslocationeditorplugin_debug.h IDENTIFIER
#    ADDRESSLOCATIONEDITORPLUGIN_LOG CATEGORY_NAME org.kde.pim.addresslocationeditorplugin)

set(addresslocationwidget_SRCS addresslocationwidgettest.cpp addresslocationwidgettest.h ../addresslocationwidget.cpp ../selectaddresstypecombobox.cpp ../addresstypedialog.cpp)
add_executable(addresslocationwidget ${addresslocationwidget_SRCS})
add_test(NAME addresslocationwidget COMMAND addresslocationwidget)
ecm_mark_as_test(addresslocationwidget)
target_link_libraries(addresslocationwidget Qt::Test  Qt::Widgets KF5::ContactEditor KF5::Contacts KF5::I18n KF5::Completion KF5::WidgetsAddons)

=== src/contact-editor/editor/customfieldeditor/tests/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
set(customfieldeditor_SRCS
    ../customfieldswidget.cpp
    ../customfieldeditorwidget.cpp
    ../customfieldslistwidget.cpp
    ../customfieldsmodel.cpp
    ../customfieldslistdelegate.cpp
    ../../utils/utils.cpp
    main.cpp
    )

add_executable(customfieldeditortest ${customfieldeditor_SRCS})

target_link_libraries(customfieldeditortest
    Qt::Widgets
    KF5::ContactEditor
    KF5::Contacts
    KF5::I18n
    KF5::Completion
    KF5::IconThemes
    KF5::WidgetsAddons
    KF5::ConfigCore
    )

=== src/contact-editor/editor/generalinfoeditor/autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
include(ECMMarkAsTest)

set(phonewidgettest_SRCS phonewidgettest.cpp phonewidgettest.h)
add_executable(phonewidgettest ${phonewidgettest_SRCS})
add_test(NAME phonewidgettest COMMAND phonewidgettest)
ecm_mark_as_test(phonewidgettest)
target_link_libraries(phonewidgettest Qt::Test  KF5::ContactEditor KF5::Contacts KF5::I18n KF5::Completion)


set(mailwidgettest_SRCS mailwidgettest.cpp mailwidgettest.h)
add_executable(mailwidgettest ${mailwidgettest_SRCS})
add_test(NAME mailwidgettest COMMAND mailwidgettest)
ecm_mark_as_test(mailwidgettest)
target_link_libraries(mailwidgettest Qt::Test KF5::ContactEditor KF5::Contacts KF5::I18n KF5::Completion)

set(messagingwidgettest_SRCS messagingwidgettest.cpp messagingwidgettest.h ../../widgets/preferredlineeditwidget.cpp)
add_executable(messagingwidgettest ${messagingwidgettest_SRCS})
add_test(NAME messagingwidgettest COMMAND messagingwidgettest)
ecm_mark_as_test(messagingwidgettest)
target_link_libraries(messagingwidgettest Qt::Test KF5::ContactEditor KF5::Contacts KF5::I18n KF5::Completion KF5::Service)



set(contactselecttypecomboboxtest_SRCS contactselecttypecomboboxtest.cpp contactselecttypecomboboxtest.h)
add_executable(contactselecttypecomboboxtest ${contactselecttypecomboboxtest_SRCS})
add_test(NAME contactselecttypecomboboxtest COMMAND contactselecttypecomboboxtest)
ecm_mark_as_test(contactselecttypecomboboxtest)
target_link_libraries(contactselecttypecomboboxtest Qt::Test  Qt::Widgets KF5::ContactEditor KF5::I18n )


set(nicknamewidgettest_SRCS nicknamewidgettest.cpp nicknamewidgettest.h)
add_executable(nicknamewidgettest ${nicknamewidgettest_SRCS})
add_test(NAME nicknamewidgettest COMMAND nicknamewidgettest)
ecm_mark_as_test(nicknamewidgettest)
target_link_libraries(nicknamewidgettest Qt::Test  Qt::Widgets KF5::ContactEditor KF5::I18n KF5::Completion)

set(blogfeedwidgettest_SRCS blogfeedwidgettest.cpp blogfeedwidgettest.h)
add_executable(blogfeedwidgettest ${blogfeedwidgettest_SRCS})
add_test(NAME blogfeedwidgettest COMMAND blogfeedwidgettest)
ecm_mark_as_test(blogfeedwidgettest)
target_link_libraries(blogfeedwidgettest Qt::Test  Qt::Widgets KF5::ContactEditor KF5::I18n KF5::Completion)


set(messageformattingwidgettest_SRCS messageformattingwidgettest.cpp messageformattingwidgettest.h)
add_executable(messageformattingwidgettest ${messageformattingwidgettest_SRCS})
add_test(NAME messageformattingwidgettest COMMAND messageformattingwidgettest)
ecm_mark_as_test(messageformattingwidgettest)
target_link_libraries(messageformattingwidgettest Qt::Test  Qt::Widgets KF5::ContactEditor KF5::I18n )

=== src/contact-editor/editor/widgets/autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
set( preferredlineeditwidgettest_SRCS preferredlineeditwidgettest.cpp preferredlineeditwidgettest.h ../preferredlineeditwidget.cpp)
add_executable( preferredlineeditwidgettest ${preferredlineeditwidgettest_SRCS})
add_test(NAME preferredlineeditwidgettest COMMAND preferredlineeditwidgettest)
ecm_mark_as_test(preferredlineeditwidgettest)
target_link_libraries( preferredlineeditwidgettest Qt::Test Qt::Widgets KF5::Completion KF5::I18n)

=== debian/changelog ===
akonadi-contacts (4:22.12.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.
  * Remove inactive uploaders, thanks for your work.

 -- Patrick Franz <deltaone@debian.org>  Wed, 01 Mar 2023 21:32:05 +0100

=== debian/control ===
Source: akonadi-contacts
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Sandro Knauß <hefee@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.99.0~),
               gettext,
               libgrantlee5-dev (>= 5.2~),
               libkf5akonadi-dev (>= 4:22.12.3~),
               libkf5completion-dev (>= 5.99.0~),
               libkf5config-dev (>= 5.99.0~),
               libkf5contacts-dev (>= 5:5.99.0~),
               libkf5coreaddons-dev (>= 5.99.0~),
               libkf5grantleetheme-dev (>= 22.12.3~),
               libkf5grantleetheme-plugins,
               libkf5i18n-dev (>= 5.99.0~),
               libkf5iconthemes-dev (>= 5.99.0~),
               libkf5kcmutils-dev (>= 5.99.0~),
               libkf5kio-dev (>= 5.99.0~),
               libkf5mime-dev (>= 22.12.3~),
               libkf5prison-dev (>= 5.99.0~),
               libkf5service-dev (>= 5.99.0~),
               libkf5textwidgets-dev (>= 5.99.0~),
               libkf5widgetsaddons-dev (>= 5.99.0~),
               libkf5xmlgui-dev (>= 5.99.0~),
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.15.2~),
               xauth,
               xvfb,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/pim/akonadi-contacts
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akonadi-contacts
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akonadi-contacts.git
Rules-Requires-Root: no

Package: akonadi-contacts-data
Section: kde
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Akonadi contacts access library - data files
 This library provides contacts manipulation helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.
 .
 This package contains the data files.

Package: libkf5akonadicontact-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:22.12.3~),
         libkf5akonadicontact5 (= ${binary:Version}),
         libkf5config-dev (>= 5.99.0~),
         libkf5contacteditor-dev (= ${binary:Version}),
         libkf5contacts-dev (>= 5:5.99.0~),
         libkf5grantleetheme-dev (>= 22.12.3~),
         libkf5i18n-dev (>= 5.99.0~),
         libkf5iconthemes-dev (>= 5.99.0~),
         libkf5mime-dev (>= 22.12.3~),
         libkf5prison-dev (>= 5.99.0~),
         libkf5textwidgets-dev (>= 5.99.0~),
         libkf5xmlgui-dev (>= 5.99.0~),
         ${misc:Depends},
Description: Akonadi contacts access library - development files
 This library provides contacts manipulation helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.
 .
 This package contains the development files.

Package: libkf5akonadicontact5
Architecture: any
Multi-Arch: same
Depends: akonadi-contacts-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Akonadi contacts access library
 This library provides contacts manipulation helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.
Provides: ${ABI:VirtualPackage},

Package: libkf5contacteditor-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5completion-dev (>= 5.99.0~),
         libkf5config-dev (>= 5.99.0~),
         libkf5contacteditor5 (= ${binary:Version}),
         libkf5i18n-dev (>= 5.99.0~),
         libkf5iconthemes-dev (>= 5.99.0~),
         libkf5mime-dev (>= 22.12.3~),
         libkf5service-dev (>= 5.99.0~),
         libkf5textwidgets-dev (>= 5.99.0~),
         libkf5widgetsaddons-dev (>= 5.99.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Akonadi contacts editor library - development files
 This library provides contact editor using the Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.
 .
 This package contains the development files.

Package: libkf5contacteditor5
Architecture: any
Multi-Arch: same
Depends: akonadi-contacts-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Akonadi contact editor library
 This library provides contact editor using the Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.
Provides: ${ABI:VirtualPackage},

## akonadi-contacts 23.08.1

=== debian/changelog ===
akonadi-contacts (4:23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 11:53:33 +0100

akonadi-contacts (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:48:18 +0100

akonadi-contacts (4:23.07.90-0ubuntu1) mantic; urgency=medium

  [ Rik Mills ]
  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

  [ José Manuel Santamaría Lema ]
  * Update installed files

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:28:31 +0100

akonadi-contacts (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:40:22 +0100

akonadi-contacts (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * Rename library packages:
    - libkf5akonadicontact5abi1 -> libkpim5akonadicontact5
    - libkf5contacteditor5 -> libkpim5contacteditor5
  * Update installed files
  * Drop enable_debianabimanager.diff
  * Rename data package: libkf5akonadicontact-data ->
    libkpim5akonadicontact-data
  * Sync debian/rules with debian, provide virtual ABI package
  * Add xvfb to Build-Depends
  * Sync debian/rules with debian, provide virtual ABI package
  * Remove symbols files, no longer used
  * Add libkpim5akonadicontact-plugins package
  * Inject dependency on libkpim5akonadicontact-plugins in debian/rules
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Jun 2023 12:57:59 +0100

akonadi-contacts (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:32:33 +0000

akonadi-contacts (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:07:57 -0600

akonadi-contacts (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Mon, 09 Jan 2023 17:24:21 +0000

akonadi-contacts (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:03:20 +0000

akonadi-contacts (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 15:59:46 +0000

akonadi-contacts (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)

 -- Rik Mills <rikmills@kde.org>  Thu, 17 Nov 2022 10:37:52 +0000

akonadi-contacts (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:03:35 +0000

=== debian/control ===
Source: akonadi-contacts
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.91.0~),
               libgrantlee5-dev,
               libkf5akonadi-dev (>= 4:23.08.1~),
               libkf5akonadimime-dev (>= 4:23.08.1~),
               libkf5calendarcore-dev (>= 4:19.08.3~),
               libkf5completion-dev (>= 5.91.0~),
               libkf5config-dev (>= 5.91.0~),
               libkf5contacts-dev (>= 5:5.91.0~),
               libkf5coreaddons-dev (>= 5.91.0~),
               libkf5grantleetheme-dev (>= 23.08.1~),
               libkf5i18n-dev (>= 5.91.0~),
               libkf5iconthemes-dev (>= 5.91.0~),
               libkf5kcmutils-dev (>= 5.91.0~),
               libkf5kio-dev (>= 5.91.0~),
               libkf5libkleo-dev (>= 4:23.08.1~),
               libkf5mime-dev (>= 23.08.1~),
               libkf5prison-dev (>= 5.91.0~),
               libkf5service-dev (>= 5.91.0~),
               libkf5textwidgets-dev (>= 5.91.0~),
               libkf5widgetsaddons-dev (>= 5.91.0~),
               libkf5xmlgui-dev (>= 5.91.0~),
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               xvfb,
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-contacts
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-contacts

Package: libkpim5akonadicontact-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kdepim-runtime (<< 4:18.03.70~),
        kdepimlibs-data (<< 4:16.08~),
        libakonadi-kf5 (<< 4:16.04.3~),
        libkf5akonadicontact5 (<< 4:16.04.3~),
        libkf5akonadisocialutils5 (<< 4:16.04.3~),
        libkf5akonadixml5 (<< 4:16.04.3~),
        ${kde-l10n:all},
Replaces: kdepim-runtime (<< 4:18.03.70~),
          kdepimlibs-data (<< 4:16.08~),
          libakonadi-kf5 (<< 4:16.04.3~),
          libkf5akonadicontact5 (<< 4:16.04.3~),
          libkf5akonadicontact-data (<< 4:23.04.1~),
          libkf5akonadisocialutils5 (<< 4:16.04.3~),
          libkf5akonadixml5 (<< 4:16.04.3~),
          ${kde-l10n:all},
Description: akonadi-contacts - data files
 This package contains data files for the akonadi-contacts libraries.

Package: libkf5akonadicontact-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:23.08.1~),
         libkf5config-dev (>= 5.91.0~),
         libkf5contacteditor-dev (>= 4:23.08.1~),
         libkf5contacts-dev (>= 5:5.91.0~),
         libkf5grantleetheme-dev (>= 23.08.1~),
         libkf5i18n-dev (>= 5.91.0~),
         libkf5iconthemes-dev (>= 5.91.0~),
         libkf5mime-dev (>= 23.08.1~),
         libkf5prison-dev (>= 5.91.0~),
         libkf5textwidgets-dev (>= 5.91.0~),
         libkf5xmlgui-dev (>= 5.91.0~),
         libkpim5akonadicontact5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Akonadi contacts access library - development files
 This library provides contacts manipulation helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.
 .
 This package contains the development files.

Package: libkpim5akonadicontact-plugins
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Replaces: libkf5akonadicontact5abi1 (<< 4:23.04.1~),
Description: Akonadi contacts access library
 This library provides contacts manipulation helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkpim5akonadicontact5
Architecture: any
Multi-Arch: same
Depends: libkpim5akonadicontact-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: kdepim-runtime (<< 4:18.03.70~)
Replaces: kdepim-runtime (<< 4:18.03.70~)
Provides: ${ABI:VirtualPackage},
Description: Akonadi contacts access library
 This library provides contacts manipulation helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkf5contacteditor-data
Architecture: any
Priority: optional
Section: oldlibs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: libkf5contacteditor-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkpim5contacteditor5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Akonadi contacts access library - development files
 This library provides contacts manipulation helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.
 .
 This package contains the development files.

Package: libkpim5contacteditor5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: ${ABI:VirtualPackage},
Description: Akonadi contact editor library
 This library provides contacts manipulation helpers using the
 Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.
